<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Api\Data;

interface UserFieldsSelectedInterface
{
    public const FIELD = 'field';

    public const USER_ID = 'user_id';

    public const VALUE = 'value';

    public const USERFIELDSSELECTED_ID = 'id';

    public const ACTION_TYPE = 'action_type';

    public const FIELDS = 'fields';

    /**
     * Get userfieldsselected_id
     *
     * @return string|null
     */
    public function getUserfieldsselectedId();

    /**
     * Set userfieldsselected_id
     *
     * @param string $userfieldsselectedId
     * @return \WriteTextAI\WriteTextAI\UserFieldsSelected\Api\Data\UserFieldsSelectedInterface
     */
    public function setUserfieldsselectedId($userfieldsselectedId);

    /**
     * Get field
     *
     * @return string|null
     */
    public function getField();

    /**
     * Set field
     *
     * @param string $field
     * @return \WriteTextAI\WriteTextAI\UserFieldsSelected\Api\Data\UserFieldsSelectedInterface
     */
    public function setField($field);

    /**
     * Get value
     *
     * @return string|null
     */
    public function getValue();

    /**
     * Set value
     *
     * @param string $value
     * @return \WriteTextAI\WriteTextAI\UserFieldsSelected\Api\Data\UserFieldsSelectedInterface
     */
    public function setValue($value);

    /**
     * Get user_id
     *
     * @return string|null
     */
    public function getUserId();

    /**
     * Set user_id
     *
     * @param string $userId
     * @return \WriteTextAI\WriteTextAI\UserFieldsSelected\Api\Data\UserFieldsSelectedInterface
     */
    public function setUserId($userId);

    /**
     * Get action_type
     *
     * @return string|null
     */
    public function getActionType();

    /**
     * Set action_type
     *
     * @param string $actionType
     * @return \WriteTextAI\WriteTextAI\UserFieldsSelected\Api\Data\UserFieldsSelectedInterface
     */
    public function setActionType($actionType);

    /**
     * Get fields
     *
     * @return string|null
     */
    public function getFields();

    /**
     * Set fields
     *
     * @param string $fields
     * @return \WriteTextAI\WriteTextAI\UserFieldsSelected\Api\Data\UserFieldsSelectedInterface
     */
    public function setFields($fields);
}
